> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Items.removed webhook

> The `items.removed` webhook is sent when an existing Item is `deleted` and removed from Link.
<Warning>
The `config` parameter is **required** when subscribing to the `items.removed` webhook.
</Warning>




## OpenAPI

````yaml openAPI/items-webhooks-removed.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Items Webhooks
  version: 1.0.0
  description: Sent when Items are updated or removed.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      tags:
        - Items Webhooks
      summary: Example subscription
      description: >
        The `items.removed` webhook is sent when an existing Item is `deleted`
        and removed from Link.

        <Warning>

        The `config` parameter is **required** when subscribing to the
        `items.removed` webhook.

        </Warning>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemsRemovedRequestBody'
            examples:
              items_removed_subscription:
                summary: items.removed subscription
                value:
                  events:
                    - items.removed
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
                  config:
                    items:
                      - item_123456789
                      - item_000000001
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsRemovedWebhookMessage'
components:
  schemas:
    ItemsRemovedRequestBody:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
          description: '`items.removed`'
          example:
            - items.removed
        name:
          type: string
          description: Your name for the webhook subscription.
          example: My Items Removed Webhook
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
          example: https://your-webhook-endpoint.com
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
          nullable: true
          example: your_secret_key
        config:
          type: object
          description: Object containing an array of up to `30` Item ID's.
          properties:
            items:
              type: array
              items:
                type: string
              example:
                - item_123456789
                - item_000000001
      required:
        - events
        - name
        - url
        - config
      example:
        events:
          - items.removed
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
        config:
          items:
            - item_123456789
            - item_000000001
    ItemsRemovedWebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: '`items.removed`'
          example: items.removed
        name:
          type: string
          description: Name used for the webhook subscription.
          example: My Items Removed Webhook
        data:
          type: object
          properties:
            item:
              type: string
              description: ID of the Item.
              example: item_000000001
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````